Utilizamos cookies propias y de terceros. Al navegar entendemos que aceptas el uso de cookies. +Info.
Política de cookies
Proyecto AjpdSoft

· Inicio
· Buscar
· Contactar
· Cookies
· Descargas
· Foros
· Historia
· Nosotros
· Temas
· Top 10
· Trucos
· Tutoriales
· Usuario
· Wiki

Proyecto AjpdSoft: Foros

AjpdSoft :: Ver tema - Error SquirrelMail not compatible PHP session.auto_start
Foros de discusión Buscar Perfil FAQ Iniciar sesión
Information Error SquirrelMail not compatible PHP session.auto_start

Publicar nuevo tema Responder al tema
Foros de discusión » Linux, sistema operativo gratuito, Ubuntu, Debian, Suse, Red Hat, Fedora   
Ver tema anterior :: Ver tema siguiente
AutorMensaje
varios
Magnífico usuario


Registrado: Oct 10, 2006
Mensajes: 2092

Asunto: Error SquirrelMail not compatible PHP session.auto_start Responder citando

He instalado SquirrelMail en un equipo con Apache, PHP y un servidor de correo montado siguiendo este artículo:

http://www.ajpdsoft.com/modules.php?name=News&file=article&sid=506

Lo que pretendo, como indica el artículo, es montar un sistema de correo vía web.

Apache ya lo tenía montado para un servidor web antes de montar el servidor de mail.

Pero cuando intento acceder a SquirrelMail (correo web) el navegador me muestra este error:

SquirrelMail 1.4.x is not compatible with PHP's session.auto_start setting. Please disable it at least for the location where SquirrelMail is installed.

¿A qué puede ser debido?
MensajePublicado:
Mie Ene 12, 2011 8:31 pm
Top of PageVer perfil de usuario
alonsojpd
Administrador/Moderador


Registrado: Sep 16, 2003
Mensajes: 2687

Asunto: Re: Error SquirrelMail not compatible PHP session.auto_start Responder citando



Anuncios



varios escribió:
He instalado SquirrelMail en un equipo con Apache, PHP y un servidor de correo montado siguiendo este artículo:

http://www.ajpdsoft.com/modules.php?name=News&file=article&sid=506

Lo que pretendo, como indica el artículo, es montar un sistema de correo vía web.

Apache ya lo tenía montado para un servidor web antes de montar el servidor de mail.

Pero cuando intento acceder a SquirrelMail (correo web) el navegador me muestra este error:

SquirrelMail 1.4.x is not compatible with PHP's session.auto_start setting. Please disable it at least for the location where SquirrelMail is installed.

¿A qué puede ser debido?


El error nos cometas es debido a un parámetro de PHP no compatible con SquirrelMail, en concreto el parámetro session.auto_start. Para ver y cambiar el valor de este parámetro accede a:

/etc/php5/apache2

Y edita el fichero php.ini, puedes hacerlo desde la ventana de terminal con el comando:

Código:

sudo nano /etc/php5/apache2/php.ini


(Cambia la ruta si tienes otra versión de PHP y de Apache)

Busca la línea:

session.auto_start = 1

Y cambia el valor a 0:

session.auto_start = 0

Guarda los cambios con Control + O y cierra nano con Cotrol + X.

Reinicia el servicio de apache para que los cambios se apliquen (recuerda que el servidor web dejará de funcionar durante unos segundos) con el comando:

Código:

sudo /etc/init.d/apache2 restart


Prueba ahora, debería funcionar SquirrelMail.
MensajePublicado:
Mie Ene 12, 2011 8:41 pm
Top of PageVer perfil de usuario
Mostrar mensajes de anteriores:   
Todas las horas son GMT - 1 Horas
Publicar nuevo tema Responder al tema
Foros de discusión » Linux, sistema operativo gratuito, Ubuntu, Debian, Suse, Red Hat, Fedora  

Cambiar a:  
Key
  Puede publicar nuevos temas en este foro
No puede responder a temas en este foro
No puede editar sus mensajes en este foro
No puede borrar sus mensajes en este foro
No puede votar en encuestas en este foro
Este sitio web NO CONTIENE malware, todos los programas con código fuente aquí. Autor: Alonso Javier Pérez Díaz Google+ Síguenos en Google+